Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal
Interface SignalingObserver

All Known Implementing Classes:
  AbstractSignalingObserver

public abstract interface SignalingObserver

This interface defines the methods that applications need to implement in order to use Signaling services.

Method Summary
`void` | `onAbortCall(AbortSignalEvent ase)` This method informs the application that it should abort the call it was waiting for.
`void` | `onDTMF(DTMFSignalEvent dtmfse)` This method informs the application that a DTMF has been received.
`void` | `onHangup(HangupSignalEvent hse)` This method informs the application that a peer application has hung up.
`void` | `onInvite(InviteSignalEvent ise)` This method informs the application that a peer application's invitation has been received.
`void` | `onStartCall(SignalConnection sc)` This method informs the application that a peer application has sent a confirmation and the call setup is complete.

Method Detail

### onInvite

    public void onInvite(InviteSignalEvent ise)

  This method informs the application that a peer application's invitation has been received.
  Parameters:
    `ise` - is the InviteSignalEvent that contains all the information about the caller application.
  Returns:
    void
  See Also:
    `InviteSignalEvent`

### onStartCall

    public void onStartCall(SignalConnection sc)

  This method informs the application that a peer application has sent a confirmation and the call setup is complete.
  Parameters:
    `sc` - is the SignalConnection the Application should use for data exchange. The connection within SignalConnection may be instantiated by the application.
  Returns:
    void
  See Also:
    `cnrg.itx.signal.client.SignalConnection`

### onAbortCall

    public void onAbortCall(AbortSignalEvent ase)

  This method informs the application that it should abort the call it was waiting for.
  Parameters:
    `ase` - is the AbortSignalEvent describing the reason for the abort and which indicates the user that aborted the invite and returns the connection object the onInvite call gave signaling, if any.
  Returns:
    void

### onHangup

    public void onHangup(HangupSignalEvent hse)

  This method informs the application that a peer application has hung up.
  Parameters:
    `hse` - is the HangupSignalEvent that contains all the information about the application that has hung up.
  Returns:
    void
  See Also:
    `HangupSignalEvent`

### onDTMF

    public void onDTMF(DTMFSignalEvent dtmfse)

  This method informs the application that a DTMF has been received.
  Parameters:
    `dtmfse` - is the DTMFSignalEvent that contains the tone(s).
  Returns:
    void
  See Also:
    `DTMFSignalEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD